aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/gnome/system-tools-backends
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/gnome/system-tools-backends')
-rw-r--r--recipes/gnome/system-tools-backends/angstrom.patch54
-rwxr-xr-xrecipes/gnome/system-tools-backends/system-tools-backends74
2 files changed, 128 insertions, 0 deletions
diff --git a/recipes/gnome/system-tools-backends/angstrom.patch b/recipes/gnome/system-tools-backends/angstrom.patch
new file mode 100644
index 0000000000..d5956a945a
--- /dev/null
+++ b/recipes/gnome/system-tools-backends/angstrom.patch
@@ -0,0 +1,54 @@
+--- system-tools-backends-2.6.1/Utils/Platform.pm-orig
++++ system-tools-backends-2.6.1/Utils/Platform.pm
+@@ -99,6 +99,7 @@ my $PLATFORM_INFO = {
+ "nexenta-1.0" => [ "Nexenta GNU/Solaris", "1.0", "Ellate" ],
+ "yellowdog-4.1" => [ "Yellow Dog Linux", "4.1", "Sagitta" ],
+ "guadalinex-v4" => [ "Guadalinex", "v4", "Toro" ],
++ "angstrom" => [ "Angstrom", "", "" ],
+ };
+
+ sub get_platform_info
+@@ -157,6 +158,7 @@ sub ensure_distro_map
+ "vlos-1.2" => "gentoo",
+ "nexenta-1.0" => "solaris-2.11",
+ "guadalinex-v4" => "debian-3.0",
++ "angstrom" => "debian-3.0",
+ );
+
+ return $metamap{$distro} if ($metamap{$distro});
+@@ -389,6 +391,7 @@ sub guess
+ [ \&check_ark ],
+ [ \&check_yoper ],
+ [ \&check_distro_file, "/etc/yellowdog-release", "yellowdog", "^Yellow Dog Linux release (\\S+)" ],
++ [ \&check_file_exists, "/etc/angstrom-version", "angstrom" ],
+ ],
+ "FreeBSD" => [[ \&check_freebsd ]],
+ "SunOS" => [[ \&check_solaris ]]
+--- system-tools-backends-2.6.1/Users/Groups.pm-orig
++++ system-tools-backends-2.6.1/Users/Groups.pm
+@@ -39,8 +39,9 @@ $cmd_groupdel = &Utils::File::locate_too
+ $cmd_groupadd = &Utils::File::locate_tool ("groupadd");
+ $cmd_groupmod = &Utils::File::locate_tool ("groupmod");
+
+-$cmd_delgroup = &Utils::File::locate_tool ("delgroup");
+-$cmd_addgroup = &Utils::File::locate_tool ("addgroup");
++# disable use of the busybox tools, since they lack full functionality
++$cmd_delgroup = "";
++$cmd_addgroup = "";
+
+ $cmd_usermod = &Utils::File::locate_tool ("usermod");
+ $cmd_gpasswd = &Utils::File::locate_tool ("gpasswd");
+--- system-tools-backends-2.6.1/Users/Users.pm-orig
++++ system-tools-backends-2.6.1/Users/Users.pm
+@@ -66,8 +66,9 @@ $cmd_usermod = &Utils::File::locate_too
+ $cmd_userdel = &Utils::File::locate_tool ("userdel");
+ $cmd_useradd = &Utils::File::locate_tool ("useradd");
+
+-$cmd_adduser = &Utils::File::locate_tool ("adduser");
+-$cmd_deluser = &Utils::File::locate_tool ("deluser");
++# disable use of the busybox tools, since they lack full functionality
++$cmd_adduser = "";
++$cmd_deluser = "";
+
+ $cmd_chfn = &Utils::File::locate_tool ("chfn");
+ $cmd_pw = &Utils::File::locate_tool ("pw");
diff --git a/recipes/gnome/system-tools-backends/system-tools-backends b/recipes/gnome/system-tools-backends/system-tools-backends
new file mode 100755
index 0000000000..704c36dbf4
--- /dev/null
+++ b/recipes/gnome/system-tools-backends/system-tools-backends
@@ -0,0 +1,74 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: system-tools-backends
+# Required-Start: $local_fs dbus
+# Required-Stop: $local_fs dbus
+# Should-Start: $syslog
+# Should-Stop: $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 1
+# Short-Description: Gnome System Tools Backends
+# Description: The Gnome System Tools Backends daemon handles root-needed
+# operations to configure your machine with the Gnome System
+# Tools.
+### END INIT INFO
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/bin/system-tools-backends
+PIDDIR=/var/run
+PIDFILE=$PIDDIR/system-tools-backends.pid
+NAME=system-tools-backends
+DESC="System Tools Backends"
+
+test -x $DAEMON || exit 0
+
+set -e
+
+do_start() {
+ echo "Starting $DESC"
+ start-stop-daemon --start --startas $DAEMON --quiet --pidfile $PIDFILE
+}
+
+do_stop() {
+ echo "Stopping $DESC"
+ start-stop-daemon --stop --oknodo --quiet --pidfile $PIDFILE --startas $DAEMON
+}
+
+case "$1" in
+ start)
+ do_start
+ ;;
+ stop)
+ do_stop
+ ;;
+ #reload)
+ #
+ # If the daemon can reload its config files on the fly
+ # for example by sending it SIGHUP, do it here.
+ #
+ # If the daemon responds to changes in its config file
+ # directly anyway, make this a do-nothing entry.
+ #
+ # echo "Reloading $DESC configuration files."
+ # start-stop-daemon --stop --signal 1 --quiet --pidfile \
+ # /var/run/$NAME.pid --exec $DAEMON
+ #;;
+ restart|force-reload)
+ #
+ # If the "reload" option is implemented, move the "force-reload"
+ # option to the "reload" entry above. If not, "force-reload" is
+ # just the same as "restart".
+ #
+ do_stop
+ sleep 5
+ do_start
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|reload|force-reload|status}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
+